# This job will be pack build directory as zip file 
packaging-ui-zip:
  image: bytekode/alpine-toolchain:3.6.1
  tags:
    - docker-itsd
  stage: packaging
  cache:
    key: ${CI_COMMIT_REF_SLUG}
    untracked: true
    policy: pull-push
  only:
    - /^sit[\/\-].+$/
    - /^qa[\/\-].+$/
    - /^prod[\/\-][\d]+(\.\d+){0,3}$/
  artifacts:
    name: ui-zip
    paths:
      - ${CI_PROJECT_NAME}.zip
  script:
    - |
        \
        echo "Creating zip file with artifact from build directory.."
        cp -r build ./${CI_PROJECT_NAME}
        zip -r -9 ${CI_PROJECT_NAME}.zip ${CI_PROJECT_NAME} 
        rm -rf ./$CI_PROJECT_NAME}
        echo -e "UI zip file created. \nZip contents \n $(unzip -l ${CI_PROJECT_NAME}.zip)"
    - |
        \
        echo "Encrypting zip file.."
        openssl enc -aes-128-cbc -in ${CI_PROJECT_NAME}.zip -out ${CI_PROJECT_NAME}.zip.enc -K ${MOBILE_ZIP_KEY} -iv ${MOBILE_ZIP_IV}
        md5sum ${CI_PROJECT_NAME}.zip.enc > ${CI_PROJECT_NAME}.zip.enc.md5
        # rm -f ${CI_PROJECT_NAME}.zip
        echo -e "UI Artifact created. \n$(ls -l *.zip*)"
